Bug 123119 - g++: Internal error: Killed (program cc1plus)
g++: Internal error: Killed (program cc1plus)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 13:20 EDT by Jason Nielsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 05:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bootlog containing errors produced during use of g++ and attempt to start xterm (12.42 KB, text/plain)
2004-05-12 13:45 EDT, Jason Nielsen
no flags Details

  None (edit)
Description Jason Nielsen 2004-05-12 13:20:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When attempting to compile fbpager-0.1.4 g++ experiences an internal
error which appears kernel related.

Asus K8V SE Deluxe mohterboard(k8t800 chipset)
 -Bios updated.
 -APCI(bios and kernel via apci=off),APIC,APM disabled.
 -Onboard LAN,Audio,SATA and Promise controller disabled.
Asus nvidia FX5200 video
3com905b-tx network

g++: Internal error: Killed (program cc1plus)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[3]: *** [FbWindow.o] Error 1
make[3]: Leaving directory `/data/fluxbox/fbpager-0.1.4/src/FbTk'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/data/fluxbox/fbpager-0.1.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/data/fluxbox/fbpager-0.1.4'
make: *** [all] Error 2
[root@nist fbpager-0.1.4]# 
Message from syslogd@nist at Wed May 12 10:30:18 2004 ...
nist kernel: Oops: 0000

Message from syslogd@nist at Wed May 12 10:30:18 2004 ...
nist kernel: RIP [<ffffffff80138a91>]{__find_lock_page_helper+33} RSP
<000001002e03de28>

Message from syslogd@nist at Wed May 12 10:30:18 2004 ...
nist kernel: CR2: 0000000020000010

After the above occures the following messages are printed when one
attemps to start a new xterm or login at a console.
================================================================
Message from syslogd@nist at Wed May 12 10:35:44 2004 ...
nist kernel: Oops: 0000

Message from syslogd@nist at Wed May 12 10:35:44 2004 ...
nist kernel: RIP [<ffffffff8015b559>]{time_out_leases+25} RSP
<000001002a80de58>

Message from syslogd@nist at Wed May 12 10:35:44 2004 ...
nist kernel: CR2: 0000000020000050


Version-Release number of selected component (if applicable):
gcc-3.3.2-1  kernel-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1.Install FC1 AMD64
2.Update FC1
3.download fbpager-0.1.4
from:http://fluxbox.sourceforge.net/fbpager/#download
4.Dearchive,./configure,make    

Actual Results:  g++: Internal error: Killed (program cc1plus)

Expected Results:  fbpager compile

Additional info:

I have seen the same Oops-RIP-CR2 messages when using the 5332 NVIDIA
drivers. After having moved back to the nv driver provided with xfree
I have not seen these errors for approximately 24 hours until my
attempt to compile fbpager. This may have occured trying to compile
anything.

From log files.
May 12 10:35:44 nist kernel: Oops: 0000
May 12 10:35:44 nist kernel: CPU 0 
May 12 10:35:44 nist kernel: Pid: 14063, comm: xterm Not tainted
May 12 10:35:44 nist kernel: RIP:
0010:[<ffffffff8015b559>]{time_out_leases+25}
May 12 10:35:44 nist kernel: RSP: 0018:000001002a80de58  EFLAGS: 00010206
May 12 10:35:44 nist kernel: RAX: 0000000000000000 RBX:
0000000020000000 RCX: 000001005f16e000
May 12 10:35:44 nist kernel: RDX: 000000005a2cf071 RSI:
7fffffffffffffff RDI: 00000100589be700
May 12 10:35:44 nist kernel: RBP: 00000100589be828 R08:
000001005d2e8c28 R09: 0000000000000000
May 12 10:35:44 nist kernel: R10: 0000000000000004 R11:
0000000000000004 R12: 0000000000000000
May 12 10:35:44 nist kernel: R13: 0000000000000000 R14:
00000100589be700 R15: 0000000000008001
May 12 10:35:44 nist kernel: FS:  0000002a95587520(0000)
GS:ffffffff804d4680(0000) knlGS:00000000557c4740
May 12 10:35:44 nist kernel: CS:  0010 DS: 0000 ES: 0000 CR0:
000000008005003b
May 12 10:35:44 nist kernel: CR2: 0000000020000050 CR3:
0000000000101000 CR4: 00000000000006e0
May 12 10:35:44 nist kernel: Process xterm (pid: 14063,
stackpage=1002a80d000)
May 12 10:35:44 nist kernel: Stack: 000001002a80de58 0000000000000018
00000000ffffffff 000001002a80df18 
May 12 10:35:44 nist kernel:        00000000ffffffff 000001002a80df18
ffffffff8015b607 000001005c92c000 
May 12 10:35:44 nist kernel:        0000000000000000 000001005f16eb88
00000000ffffffff 000001002a80df18 
May 12 10:35:44 nist kernel: Call Trace:
[<ffffffff8015b607>]{__get_lease+55} [<ffffffff801551f6>]{open_namei+966} 
May 12 10:35:44 nist kernel:        [<ffffffff801489ad>]{filp_open+45}
[<ffffffff80153949>]{getname+137} 
May 12 10:35:44 nist kernel:        [<ffffffff80148d1d>]{sys_open+77}
[<ffffffff8010fde3>]{system_call+119} 
May 12 10:35:44 nist kernel:        
May 12 10:35:44 nist kernel: 
May 12 10:35:44 nist kernel: Code: 0f b7 43 50 25 20 10 00 00 66 3d 20
10 75 5d 48 8b 93 88 00 
May 12 10:35:44 nist kernel: RIP
[<ffffffff8015b559>]{time_out_leases+25} RSP <000001002a80de58>
Comment 1 Jason Nielsen 2004-05-12 13:45:16 EDT
Created attachment 100196 [details]
bootlog containing errors produced during use of g++ and attempt to start xterm
Comment 2 Jason Nielsen 2004-05-17 12:11:34 EDT
This appears to be the result of an intermittent memory error in one
dimm. memtest 1.11 revealed the error after extensive testing. 

Note You need to log in before you can comment on or make changes to this bug.